<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

namespace Akeeba\TicketSystem\Admin\CustomField;

use Akeeba\TicketSystem\Admin\Model\CustomFields;
use JFactory;

defined('_JEXEC') or die();

/**
 * A radio selection list field
 *
 * @author Nicholas K. Dionysopoulos
 */
class Radio extends Dropdown
{
	public function __construct(array $config = array())
	{
		parent::__construct($config);

		$this->input_type = 'radio';
	}

	public function getDisplay(CustomFields $item, $value)
	{
		// Let's quote the expression and escape the / char, since it could be used as value
		$regex_value = str_replace('/', '\/', preg_quote($value));

		//Use of non-capturing group: end of line OR new line
		preg_match('/'.$regex_value.'=(.*?)(?:$|\n)/i', $item->options, $matches);

		if(isset($matches[1]))
		{
			return $matches[1];
		}

		return '';
	}

}
